%define pypi_name tinyhtml5

Name:           python-tinyhtml5
Version:        2.0.0
Release:        %mkrel 3
Summary:        HTML parser based on the WHATWG HTML specification
License:        MIT
Group:          Development/Python
URL:            https://github.com/CourtBouillon/tinyhtml5
Source0:        %{pypi_source %{pypi_name}}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-xdist)


%description
tinyhtml5 is a HTML5 parser that transforms a possibly malformed HTML document
into an ElementTree tree. This module is a simplified fork of html5lib.

%package -n python3-%{pypi_name}
Summary:        HTML parser based on the WHATWG HTML specification
Group:          Development/Python

%description -n python3-%{pypi_name}
tinyhtml5 is a HTML5 parser that transforms a possibly malformed HTML document
into an ElementTree tree. This module is a simplified fork of html5lib.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v -n auto

%files -n  python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.0-3.mga10
+ Revision: 2240809
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.0.0-2.mga10
+ Revision: 2157883
- rebuild for python3.13

* Thu Jan 30 2025 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2143662
- initial package python-tinyhtml5

